/*
 * Copyright 2010 Sebastian Lederer <slederer@insignificance.de>
 */

package de.dassit.ldap;

import java.util.ArrayList;

import javax.naming.directory.SearchResult;


public abstract class EntryList<T extends Entry> {
	protected ArrayList<T> entries = new ArrayList<T>();
	public ArrayList<T> getEntries() { return entries; };
	public int size() { return entries.size(); }
	public abstract void addInstance(SearchResult sr);
}
