package de.dassit.dassadmin;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.dassit.ldap.Entry;

public class AuditLogTool {
	private static final Logger log = LoggerFactory.getLogger(AuditLogTool.class.getName());

	public void log(Entry e, String author, String action) {
		log.info("audit: name=<" + e.getName() + "> class=<" + e.getClass().getSimpleName() + "> user=<" + author
				+ "> action=<" + action + ">");
	}

	public void log(Entry e, String author, String action, String extra) {
		log.info("audit: name=<" + e.getName() + "> class=<" + e.getClass().getSimpleName() + "> user=<" + author
				+ "> action=<" + action + "> extra=<" + extra + ">");
	}
}
